## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate itoa

Name:           rust-itoa
Version:        1.0.9
Release:        %autorelease
Summary:        Fast integer primitive to string conversion

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/itoa
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Fast integer primitive to string conversion.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-panic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-panic-devel %{_description}

This package contains library source intended for building other packages which
use the "no-panic" feature of the "%{crate}" crate.

%files       -n %{name}+no-panic-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Nov 20 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.9-1
- Rebuilt for MSVSphere 9.2

* Fri Jul 21 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.9-1
- Update to version 1.0.9; Fixes RHBZ#2223131

* Tue Jul 11 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.8-1
- Update to version 1.0.8; Fixes RHBZ#2219227

* Mon Mar 06 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.6-1
- Update to version 1.0.6; Fixes RHBZ#2175344

* Wed Dec 21 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.5-1
- Update to version 1.0.5; Fixes RHBZ#2154573

* Sat Oct 08 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.4-1
- Update to version 1.0.4; Fixes RHBZ#2132842

* Wed Aug 03 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Update to version 1.0.3; Fixes RHBZ#2114932

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 23 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2; Fixes RHBZ#2086351

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1; Fixes RHBZ#2031549

* Sun Aug 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.8-1
- Update to version 0.4.8; Fixes RHBZ#1996344

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 11:00:44 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.7-1
- Update to 0.4.7 (Fixes: RHBZ#1911134)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 0.4.6-1
- Update to 0.4.6

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 27 2020 Josh Stone <jistone@redhat.com> - 0.4.5-1
- Update to 0.4.5

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 19 23:18:31 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.4-3
- Regenerate

* Sun Jun 09 10:13:08 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.4-2
- Regenerate

* Thu May 02 08:37:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-2
- Run tests in infrastructure

* Tue Sep 11 2018 Josh Stone <jistone@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Mon Mar 26 2018 Josh Stone <jistone@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.4-2
- Rebuild for rust-packaging v5

* Sat Nov 04 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.4-1
- Update to 0.3.4

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-2
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Initial package

